# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.specialselection.config import PROJECTNAME

colors = ['red', 'green', 'blue', 'cyan', 'magenta', 'yellow', 'black']

# Schema definition
schema = BaseSchema.copy() + Schema((
    StringField('FavColor',
        vocabulary = colors,
        default = colors[2],
        widget = SelectionWidget(format = 'radio', ),
        ),
    StringField('OtherColor', ),
    ))

class specialselection(BaseContent):
    "Demonstrating special widgets, macros et al."

    schema = schema
    _at_rename_after_creation = True

registerType(specialselection, PROJECTNAME)
